[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.LoadGridOptions

Loads values for the Options property from the specified XML configuration file.

## Declaration

Source position: dbgrids.pas line 491

`protected procedure TCustomDBGrid.LoadGridOptions(`
`cfg: TXMLConfig;`
`Version: Integer`
`); override;`

## Arguments

`cfg` |  | XML configuration file loaded in the method.
`Version` |  | Version number for the values in the specified file.

## Description

LoadGridOptions is an overridden method in TCustomDBGrid. It re-implements the method introduced in TCustomGrid to read and capture the TDbGridOption values used the Options property for the class instance. It does not call the inherited method.

LoadGridOptions is called from the LoadContent method in the ancestor class.

## See also

TCustomDBGrid.Options |  | Contains the optional features or behaviors that are enabled for the grid control.
TDBGridOptions |  | Stores values from the TDbGridOption enumeration.
TDBGridOption |  | Enumerated type containing options available for use in a database grid control.
TCustomGrid.LoadContent |  | Loads values for the grid control from the specified XML configuration file.